from PyQt5 import QtWidgets

import todo.gui.tags.panel.dialog
import todo.gui.tags.panel.signal
import todo.gui.tags.panel.table.widget
import todo.gui.icon

def widget(parent):
    widget = QtWidgets.QWidget(parent)

    layout = QtWidgets.QVBoxLayout(widget)
    widget.setLayout(layout)

    layout.addSpacing(15)

    add_tag_signal = todo.gui.tags.panel.signal.AddTag()

    add_tag_button = QtWidgets.QPushButton("  Add a tag", widget)
    add_tag_button.setFixedHeight(30)
    add_tag_button.setIcon(todo.gui.icon.new_folder(widget.style()))

    add_tag_button.clicked.connect(lambda: todo.gui.tags.panel.dialog.add(widget, add_tag_signal).exec_())
    layout.addWidget(add_tag_button)

    layout.addSpacing(20)

    table = todo.gui.tags.panel.table.widget.Widget(widget, add_tag_signal)
    layout.addWidget(table)

    return widget
